=== debian/changelog ===
confget (1.02-3~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add versioned build-dependency on groff-base with an option
    to get groff back.
  * Drop using dpkg-buildflags since we target lenny.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Sep 2011 12:55:24 +0200

confget (1.02-3) unstable; urgency=low

  * Simplify the rules file by removing the useless diffsrc target;
    it was intended for my own use, but its time has long passed.
  * Simplify the rules file even more by using debhelper override rules.
  * Bump Standards-Version to 3.8.4 with no changes.
  * Switch to the 3.0 (quilt) source format - we don't have any patches,
    but I still like its debian.tar.gz distribution mode.
  * Bump the copyright years on the Debian packaging.
  * Drop the groff dependency - europs.tmac was moved into
    groff-base-1.20.1-6 and our test suite works again.
  * Update the copyright file to DEP 5 rev. 135:
    - declare the public domain status in the Copyright clause, too
    - use BSD instead of BSD-2
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain CFLAGS, CPPFLAGS,
    and LDFLAGS instead of depending on dpkg-buildpackage to provide them.
  * Shorten the Vcs-Browser URL.
  * Bump Standards-Version to 3.9.0 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 28 Jun 2010 17:38:07 +0300

confget (1.02-2) unstable; urgency=low

  * Only enable the hardening wrapper conditionally.
  * Bump Standards-Version to 3.8.2 with no changes.
  * Remove the useless "configure" target from the rules file.
  * In the copyright file, break out the license in a separate section and
    declare compatibility with the current revision of DEP 5.
  * Add groff as a build dependency for the test suite; groff-base seems
    to not be enough any longer.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 11 Aug 2009 15:42:47 +0300

confget (1.02-1) unstable; urgency=low

  * New upstream version.
  * Specify the examples directory location at install time.
  * Update the copyright file.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 21 Mar 2009 19:28:39 +0200

confget (1.01-1) unstable; urgency=low

  * Initial release. Closes: #502543.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 17 Mar 2009 18:10:35 +0200
