=== debian/control ===
Source: confget
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), groff-base (>= 1.20.1-6~) | groff, hardening-wrapper, libpcre3-dev
Standards-Version: 3.9.0
Homepage: http://devel.ringlet.net/textproc/confget/
Vcs-Svn: http://svn.ringlet.net/svn/ringlet/textproc/confget/trunk/confget-pkg/debian/
Vcs-Browser: http://svn.ringlet.net/v/ringlet/textproc/confget/trunk/confget-pkg/debian/

Package: confget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read variables from INI-style configuration files
 The confget utility examines a INI-style configuration file and retrieves
 the value of the specified variables from the specified section.
 Its intended use is to let shell scripts use the same INI-style
 configuration files as other programs, to avoid duplication of data.
 .
 The confget utility may retrieve the values of one or more variables,
 list all the variables in a specified section, list only those whose names
 or values match a specified pattern (shell glob or regular expression), or
 check if a variable is present in the file at all.  It has a "shell-quoting"
 output mode that quotes the variable values in a way suitable for passing
 them directly to a Bourne-style shell.
