## confget 1.03

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2008, 2009  Peter Pentchev
+# Copyright (c) 2008, 2009, 2011  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 3158 2009-03-20 13:17:48Z roam $
+# $Ringlet$
 
 # You MUST define either -DHAVE_GETLINE or -DHAVE_FGETLN in CFLAGS_CONF!
 #CFLAGS_CONF=	-DHAVE_GETLINE
@@ -38,7 +38,7 @@
 
 CC?=		gcc
 CFLAGS?=		-g -pipe
-CFLAGS+=	-Wall -W -Werror ${CFLAGS_CONF} ${PCRE_CFLAGS}
+CFLAGS+=	-Wall -W ${CFLAGS_CONF} ${PCRE_CFLAGS}
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
 LIBS?=
