=== debian/changelog ===
confget (1.03-1) unstable; urgency=low

  * New upstream release:
    - allow spaces in INI file section names.  Closes: #632400
    - update the copyright years in debian/copyright
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format and
    fix the DEP 5 URL after the Alioth migration.
  * Add Multi-Arch: foreign to the binary package.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 06 Jul 2011 19:52:10 +0300

confget (1.02-5) unstable; urgency=low

  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year of my copyright notice.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Feb 2011 17:30:54 +0200

confget (1.02-4) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Fix the formatting of the copyright file - Maintainer at the top,
    no Author in the file stanzas.
  * Wrap the Build-Depends line.
  * Turn on the build hardening by default.
  * Use the hardening-includes package instead of hardening-wrapper so that
    the hardening flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Dec 2010 16:26:38 +0200
