=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), groff-base (>= 1.20.1-6~) | groff, hardening-wrapper, libpcre3-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
+	hardening-includes, libpcre3-dev
+Standards-Version: 3.9.2
 Homepage: http://devel.ringlet.net/textproc/confget/
-Vcs-Svn: http://svn.ringlet.net/svn/ringlet/textproc/confget/trunk/confget-pkg/debian/
-Vcs-Browser: http://svn.ringlet.net/v/ringlet/textproc/confget/trunk/confget-pkg/debian/
+Vcs-Git: git://gitorious.org/confget/pkg-debian.git
+Vcs-Browser: http://gitorious.org/confget/pkg-debian
 
 Package: confget
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: read variables from INI-style configuration files
  The confget utility examines a INI-style configuration file and retrieves
  the value of the specified variables from the specified section.
