=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Debian build rules for confget, the configuration variable extractor
+
+CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)
 
 CFLAGS+=	-pipe -Wall -W -ansi -pedantic -Wbad-function-cast \
 		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
@@ -9,10 +13,11 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	CFLAGS+=	-Werror
 endif
-ifeq (,$(filter hardening,$(DEB_BUILD_OPTIONS)))
-export DEB_BUILD_HARDENING=0
-else
-export DEB_BUILD_HARDENING=1
+
+include /usr/share/hardening-includes/hardening.make
+ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
+CFLAGS+=	$(HARDENING_CFLAGS)
+LDFLAGS+=	$(HARDENING_LDFLAGS)
 endif
 
 export CFLAGS CPPFLAGS LDFLAGS
