=== debian/watch ===
version=3
http://devel.ringlet.net/textproc/confget/ confget-(.*)\.tar\.gz
