## confget 1.05

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2008, 2009, 2011  Peter Pentchev
+# Copyright (c) 2008, 2009, 2011, 2012, 2013  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -24,23 +24,23 @@
 #
 # $Ringlet$
 
-# You MUST define either -DHAVE_GETLINE or -DHAVE_FGETLN in CFLAGS_CONF!
-#CFLAGS_CONF=	-DHAVE_GETLINE
-
 LOCALBASE?=	/usr/local
 PREFIX?=	${LOCALBASE}
 BINDIR?=	${PREFIX}/bin
 MANDIR?=	${PREFIX}/man/man
 EXAMPLESDIR?=	${PREFIX}/share/examples/${PROG}
 
-PCRE_CFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
+LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
+
+PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
 PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
 
 CC?=		gcc
+CPPFLAGS?=
+CPPFLAGS+=	${LFS_CPPFLAGS} ${PCRE_CPPFLAGS}
 CFLAGS?=		-g -pipe
-CFLAGS+=	-Wall -W ${CFLAGS_CONF} ${PCRE_CFLAGS}
+CFLAGS+=	-Wall -W
 LDFLAGS?=
-LFLAGS?=	${LDFLAGS}
 LIBS?=
 
 RM=		rm -f
@@ -70,23 +70,26 @@
 SHAREMODE?=	644
 
 # development/debugging flags, you may safely ignore them
-BDECFLAGS=	-W -Wall -ansi -pedantic -Wbad-function-cast -Wcast-align \
+BDECFLAGS=	-W -Wall -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
 		-Wcast-qual -Wchar-subscripts -Winline \
 		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
 		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
 #CFLAGS+=	${BDECFLAGS}
 #CFLAGS+=	-ggdb -g3
 
+TESTEXEC=	test-getline test-fgetln
+
 all:		${PROG} ${MAN1GZ}
 
 clean:
 		${RM} ${PROG} ${OBJS} ${MAN1GZ}
+		${RM} ${TESTEXEC} readaline.h
 
 ${PROG}:	${OBJS}
-		${CC} ${LFLAGS} -o ${PROG} ${OBJS} ${PCRE_LIBS}
+		${CC} ${LDFLAGS} -o ${PROG} ${OBJS} ${PCRE_LIBS}
 
 .c.o:
-		${CC} ${CFLAGS} -c $<
+		${CC} ${CPPFLAGS} ${CFLAGS} -c $<
 
 ${MAN1GZ}:	${MAN1}
 		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
@@ -107,12 +110,27 @@
 		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${EXAMPLES} ${DESTDIR}${EXAMPLESDIR}/
 
 depend:
-		${SETENV} CFLAGS="${CFLAGS}" DEPENDFILE="${DEPENDFILE}" \
-		sh makedep.sh ${SRCS}
+		touch readaline.h
+		${SETENV} CPPFLAGS="-DCONFGET_MAKEDEP ${CPPFLAGS}" \
+		DEPENDFILE="${DEPENDFILE}" sh makedep.sh ${SRCS}
+		rm -f readaline.h
 		
 test:		all
 		prove t
 
+readaline.h:	test-getline.c Makefile
+		rm -f readaline.h
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o test-getline test-getline.c ${LIBS}; then \
+			echo '#define HAVE_GETLINE' > readaline.h; \
+		else if ${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o test-fgetln test-fgetln.c ${LIBS}; then \
+			echo '#define HAVE_FGETLN' > readaline.h; \
+		else \
+			echo 'Neither getline() nor fgetln() found!' 1>&2; \
+			false; \
+		fi; fi
+
 .PHONY:		all clean depend install test
 
+ifeq ($(wildcard ${DEPENDFILE}),${DEPENDFILE})
 include ${DEPENDFILE}
+endif
