=== debian/changelog ===
confget (1.05-1) unstable; urgency=medium

  * Update the copyright file:
    - convert it to the 1.0 format
    - separate lists of copyrighted files with whitespace, not commas
    - bump the year of my copyright notice
    - fix the upstream homepage location
  * Bump Standards-Version to 3.9.5 with no changes.
  * Bump the debhelper compatibility level to 9 with no changes.
  * Get the hardening options directly from debhelper:
    - remove the build dependency on hardening-includes
    - no longer include the hardening Makefile snippet into the rules file
    - explicitly enable all the hardening features; they may be disabled
      in the future if confget should fail to build anywhere
    - use DEB_CFLAGS_MAINT_APPEND to, well, append to CFLAGS
  * Enable parallel building - not that it matters a lot in this case :)
  * New upstream release:
    - honors CPPFLAGS now, so the hardening flags may be passed as-is
    - autodetects getline(3) support, so no need for CFLAGS_CONF
    - renames PCRE_CFLAGS to PCRE_CPPFLAGS, so follow suit
    - update the copyright years in the copyright file
    - follow upstream and switch from -ansi to -std=c99
  * Remove the obsolete DM-Upload-Allowed field.
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Update the watch file after the devel.ringlet.net website change.
  * Let uscan verify upstream's signature against my own key.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 23 Aug 2014 12:07:22 +0300
