=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~),
-	hardening-includes, libpcre3-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9), libpcre3-dev
+Standards-Version: 3.9.5
 Homepage: http://devel.ringlet.net/textproc/confget/
 Vcs-Git: git://gitorious.org/confget/pkg-debian.git
 Vcs-Browser: http://gitorious.org/confget/pkg-debian
