=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://devel.ringlet.net/textproc/confget/ http://devel.ringlet.net/(?:files/)?textproc/confget/confget-(.*)\.tar\.gz
