## confget 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2008, 2009, 2011, 2012, 2013  Peter Pentchev
+# Copyright (c) 2008, 2009, 2011, 2012, 2013, 2016  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -21,8 +21,6 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
-#
-# $Ringlet$
 
 LOCALBASE?=	/usr/local
 PREFIX?=	${LOCALBASE}
@@ -30,17 +28,24 @@
 MANDIR?=	${PREFIX}/man/man
 EXAMPLESDIR?=	${PREFIX}/share/examples/${PROG}
 
+STD_CPPFLAGS?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
+
 LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
+LFS_LDFLAGS?=
 
 PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
 PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre
 
+STD_CFLAGS?=	-std=c99
+WARN_CFLAGS?=	-Wall -W
+
 CC?=		gcc
 CPPFLAGS?=
-CPPFLAGS+=	${LFS_CPPFLAGS} ${PCRE_CPPFLAGS}
+CPPFLAGS+=	${STD_CPPFLAGS} ${LFS_CPPFLAGS} ${PCRE_CPPFLAGS}
 CFLAGS?=		-g -pipe
-CFLAGS+=	-Wall -W
+CFLAGS+=	${STD_CFLAGS} ${WARN_CFLAGS}
 LDFLAGS?=
+LDFLAGS+=	${LFS_LDFLAGS}
 LIBS?=
 
 RM=		rm -f
@@ -51,8 +56,6 @@
 OBJS=		confget.o confget_common.o confget_http_get.o confget_ini.o
 SRCS=		confget.c confget_common.c confget_http_get.c confget_ini.c
 DEPENDFILE=	.depend
-
-EXAMPLES=	t/t1.ini t/t2.ini
 
 MAN1=		confget.1
 MAN1GZ=		${MAN1}.gz
@@ -106,8 +109,9 @@
 		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
 
 install-examples:
-		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${EXAMPLES} ${DESTDIR}${EXAMPLESDIR}/
+		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
+		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.ini ${DESTDIR}${EXAMPLESDIR}/tests/
 
 depend:
 		touch readaline.h
