=== debian/changelog ===
confget (2.0.0-1) unstable; urgency=medium

  * Use export-minimal for upstream's PGP public key.
  * Use "BSD-2-clause" as the short license name in the copyright file.
  * Point Vcs-Git and Vcs-Browser to the GitLab repository after
    the migration from Gitorious and change both to HTTPS URLs.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Add an upstream metadata file.
  * Bump the year on my debian/* copyright notice.
  * Bump the debhelper compatibility level to 10:
    - bump the version of the debhelper B-D to 9.20160403~
    - drop the --parallel option from the dh invocation (enabled by default)
    - override the "experimental debhelper version" Lintian warning
  * New upstream release:
    - fix a FTBFS with new versions of glibc by replacing the _GNU_SOURCE and
      _BSD_SOURCE feature macros with _POSIX_C_SOURCE and _XOPEN_SOURCE
    - install all the tests as examples, not just the *.ini files used by them
    - teach the manpage test about compressed manual pages so that it may be
      run on a system where confget has been installed, e.g. via autopkgtest
    - allow passing linker flags for Large File Support, too
  * Update the upstream copyright years in the copyright file.
  * Add an autopkgtest suite running the installed tests.
  * Look for a *.tar.bz2 tarball in the watch file and bump the version to 4.
  * Fold the upstream source into a single Files section in the copyright file.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 11 Apr 2016 12:47:31 +0300
