=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9), libpcre3-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 9.20160403~), libpcre3-dev
+Standards-Version: 3.9.8
 Homepage: http://devel.ringlet.net/textproc/confget/
-Vcs-Git: git://gitorious.org/confget/pkg-debian.git
-Vcs-Browser: http://gitorious.org/confget/pkg-debian
+Vcs-Git: https://gitlab.com/confget/confget.git -b debian
+Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
+Testsuite: autopkgtest
 
 Package: confget
 Architecture: any
