=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,15 @@
 export PCRE_CPPFLAGS=-DHAVE_PCRE
 export PCRE_LIBS=-lpcre
 
+# Large File Support
+LFS_CPPFLAGS:=	$(shell getconf LFS_CFLAGS 2>/dev/null || echo "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
+LFS_LDFLAGS:=	$(shell getconf LFS_LDFLAGS 2>/dev/null || true)
+export LFS_CPPFLAGS LFS_LDFLAGS
+
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=${CURDIR}/debian/confget PREFIX=/usr \
 		MANDIR=/usr/share/man/man BINGRP=root MANGRP=root \
 		EXAMPLESDIR=/usr/share/doc/confget/examples
 
 %:
-	dh $@ --parallel
+	dh $@
