## confget 2.1.0

=== debian/changelog ===
confget (2.1.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.
  * New upstream version; update the copyright years.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's install(1) invocations.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 11 Nov 2017 23:21:21 +0200

confget (2.0.0-3) unstable; urgency=medium

  * Update the package for compliance with Debian Policy 4.1.0:
    - do not install the example files and the manual page if "nodoc" is
      specified in DEB_BUILD_OPTIONS or the "nodoc" build profile is active
    - use the source t/ directory in the autopkgtest suite since
      /usr/share/doc/confget/examples/tests/ will not exist with "nodoc"
    - drop the implied "Testsuite: autopkgtest" source control header
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 25 Sep 2017 12:24:14 +0300

confget (2.0.0-2) unstable; urgency=medium

  * Depend on debhelper 10 now that it is in unstable, testing, and
    jessie-backports.  Drop the Lintian override about the version.
  * Switch to the HTTPS scheme for various Debian and upstream URLs.
  * Use the v4 substitution variables in the watch file.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 17 Nov 2016 13:53:02 +0200
