=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9.20160403~), libpcre3-dev
-Standards-Version: 3.9.8
-Homepage: http://devel.ringlet.net/textproc/confget/
+Build-Depends: debhelper (>> 10.8~), libpcre3-dev
+Standards-Version: 4.1.1
+Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
-Testsuite: autopkgtest
+Rules-Requires-Root: no
 
 Package: confget
 Architecture: any
