=== debian/tests/control ===
Test-Command: if [ -d /usr/share/doc/confget/examples ]; then export MANPAGE='/usr/share/man/man1/confget.1.gz' TESTDIR='/usr/share/doc/confget/examples/tests'; else export TESTDIR='t'; fi; env CONFGET='/usr/bin/confget' prove -v "$TESTDIR"
Depends: @, perl, groff-base
