## confget 2.1.1

=== debian/changelog ===
confget (2.1.1-1) unstable; urgency=medium

  * Build-depend on debhelper 11 and use the B-D: debhelper-compat (= 11)
    mechanism.
  * Bump the year on my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Add trivial autopkgtests running adequate and feature-check.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Nov 2018 11:12:44 +0200
