=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: confget
 Section: text
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 10.8~), libpcre3-dev
-Standards-Version: 4.1.1
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 11), libpcre3-dev
+Standards-Version: 4.2.1
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
