=== debian/rules ===
--- 
+++ 
@@ -41,5 +41,9 @@
 	mv -f Makefile.bak Makefile
 endif
 
+override_dh_installchangelogs:
+	dh_installchangelogs -X CHANGES
+	install -m 644 CHANGES debian/confget/usr/share/doc/confget/NEWS
+
 %:
 	dh $@
