## confget 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2008, 2009, 2011, 2012, 2013, 2016  Peter Pentchev
+# Copyright (c) 2008, 2009, 2011 - 2013, 2016, 2017  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -64,13 +64,17 @@
 BINGRP?=	wheel
 BINMODE?=	555
 
-MANOWN?=	${BINOWN}
-MANGRP?=	${BINGRP}
-MANMODE?=	644
-
 SHAREOWN?=	${BINOWN}
 SHAREGRP?=	${BINGRP}
 SHAREMODE?=	644
+
+INSTALL?=	install
+COPY?=		-c
+STRIP?=		-s
+
+INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_DATA?=	${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
 
 # development/debugging flags, you may safely ignore them
 BDECFLAGS=	-W -Wall -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
@@ -102,16 +106,16 @@
 
 install-bin:
 		-${MKDIR} ${DESTDIR}${BINDIR}
-		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
+		${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
 
 install-man:
 		-${MKDIR} ${DESTDIR}${MANDIR}1
-		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
 
 install-examples:
 		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
-		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.ini ${DESTDIR}${EXAMPLESDIR}/tests/
+		${INSTALL_SCRIPT} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+		${INSTALL_DATA} t/*.ini ${DESTDIR}${EXAMPLESDIR}/tests/
 
 depend:
 		touch readaline.h
