=== debian/changelog ===
confget (2.2.0-4+deb10u1) buster; urgency=medium

  * Fix the Python module's handling of values containing "=":
    - add the test-ini-eq patch to add a test for such values
    - add the python-value-eq patch to fix the problem
    - Closes: #959887

 -- Peter Pentchev <roam@debian.org>  Wed, 06 May 2020 19:12:09 +0300

confget (2.2.0-4) unstable; urgency=medium

  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 00:44:26 +0200

confget (2.2.0-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Thu, 14 Feb 2019 18:04:50 +0200

confget (2.2.0-2) unstable; urgency=medium

  * Move the Python build dependencies to Build-Depends-Indep and
    only use the Python buildsystem when available, thus allowing
    confget to actually build on architectures where PyPy is not
    available yet.

 -- Peter Pentchev <roam@debian.org>  Tue, 15 Jan 2019 14:45:18 +0200

confget (2.2.0-1) unstable; urgency=medium

  * New upstream version:
    - update the upstream copyright years
    - build the Python 2.x, 3.x, and PyPy modules
    - run the TAP tests (both at build time and via autopkgtest) with
      the Python modules, too, not only with the C executable
  * Add the year 2019 to my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add a trivial git-buildpackage config file.
  * Conditionally run some commands in the rules file depending on which
    packages are being built.
  * Change DEB_NODOC to BUILD_DOC for consistency.
  * Check for "nocheck" in DEB_BUILD_OPTIONS before running tests.
  * Break out the autopkgtests's "is the documentation installed" check
    into a separate tool.
  * Run `dh_missing --fail-missing`.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 Jan 2019 12:38:52 +0200
