=== debian/tests/control ===
Test-Command: debian/tests/check-doc.sh env CONFGET='/usr/bin/confget' sh -c 'exec prove -v "$TESTDIR"'
Depends: @, perl, groff-base
Features: test-name=tap-perl

Test-Command: debian/tests/check-doc.sh debian/tests/tap-python.sh
Depends: @, perl, groff-base
Features: test-name=tap-python

Test-Command: adequate confget
Depends: @, adequate
Features: test-name=adequate

Test-Command: feature-check -O -qfeatures -P '' confget BASE
Depends: @, feature-check
Features: test-name=feature-check
