## confget 2.3.0

=== debian/changelog ===
confget (2.3.0-1) unstable; urgency=medium

  * New upstream version:
    - drop the test-too-many-pypy patch, integrated upstream
    - refresh the python-no-executable patch
  * Declare compliance with Debian Policy 4.4.0 with no changes.
  * Drop the PyPy package.
  * Drop the Python 2.x package, too.  Closes: #936324
  * Mark the adequate and feature-check tests as superficial.

 -- Peter Pentchev <roam@debian.org>  Mon, 09 Sep 2019 16:15:03 +0300
