=== debian/control ===
--- 
+++ 
@@ -2,11 +2,20 @@
 Section: text
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 11), libpcre3-dev
-Standards-Version: 4.2.1
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ libpcre3-dev,
+Build-Depends-Indep:
+ python3-all,
+ python3-ddt,
+ python3-pytest,
+ python3-six,
+ python3-setuptools,
+Standards-Version: 4.4.0
 Homepage: https://devel.ringlet.net/textproc/confget/
-Vcs-Git: https://gitlab.com/confget/confget.git -b debian
-Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
+Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
+Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
 Rules-Requires-Root: no
 
 Package: confget
@@ -25,3 +34,26 @@
  check if a variable is present in the file at all.  It has a "shell-quoting"
  output mode that quotes the variable values in a way suitable for passing
  them directly to a Bourne-style shell.
+
+Package: python3-confget
+Section: python
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: ${python3:Recommends}
+Suggests: ${python3:Suggests}
+Provides: ${python3:Provides}
+Description: read variables from INI-style configuration files - Python 3.x library
+ The confget utility examines a INI-style configuration file and retrieves
+ the value of the specified variables from the specified section.
+ Its intended use is to let shell scripts use the same INI-style
+ configuration files as other programs, to avoid duplication of data.
+ .
+ The confget utility may retrieve the values of one or more variables,
+ list all the variables in a specified section, list only those whose names
+ or values match a specified pattern (shell glob or regular expression), or
+ check if a variable is present in the file at all.  It has a "shell-quoting"
+ output mode that quotes the variable values in a way suitable for passing
+ them directly to a Bourne-style shell.
+ .
+ This package contains the Python 3.x library.
