=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # Debian build rules for confget, the configuration variable extractor
 
 export PYBUILD_NAME=confget
-export PYBUILD_DISABLE=test/pypy
 
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
@@ -26,22 +25,7 @@
 else
 BUILD_IMPL_C=no
 endif
-ifneq (,$(filter pypy-confget,$(shell dh_listpackages)))
-BUILD_IMPL_PYPY=yes
-else
-BUILD_IMPL_PYPY=no
-endif
-ifneq (,$(filter python-confget,$(shell dh_listpackages)))
-BUILD_IMPL_PY2=yes
-else
-BUILD_IMPL_PY2=no
-endif
 ifneq (,$(filter python3-confget,$(shell dh_listpackages)))
-BUILD_IMPL_PY3=yes
-else
-BUILD_IMPL_PY3=no
-endif
-ifneq (no no no,${BUILD_IMPL_PYPY} ${BUILD_IMPL_PY2} ${BUILD_IMPL_PY3})
 BUILD_IMPL_PY=yes
 else
 BUILD_IMPL_PY=no
@@ -59,7 +43,7 @@
 TESTD=	${CURDIR}/t
 
 override_dh_auto_build:
-	@echo 'building C: ${BUILD_IMPL_C}, py2: ${BUILD_IMPL_PY2}, py3: ${BUILD_IMPL_PY3}, python: ${BUILD_IMPL_PY}, doc: ${BUILD_DOC}'
+	@echo 'building C: ${BUILD_IMPL_C}, python: ${BUILD_IMPL_PY}, doc: ${BUILD_DOC}'
 ifeq (yes,${BUILD_IMPL_C})
 	dh_auto_build -- LFS_CPPFLAGS= LFS_LDFLAGS=
 endif
@@ -105,7 +89,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	if dpkg-query -W -f '$${Package}\n' | fgrep -qxe python-setuptools -e python3-setuptools -e pypy-setuptools; then \
+	if dpkg-query -W -f '$${Package}\n' | fgrep -qxe python3-setuptools; then \
 		dh_auto_clean -D '${PY}' --buildsystem pybuild; \
 	fi
 	rm -rf -- '${PY}/.pytest_cache' '${PY}/confget.egg-info'
@@ -115,12 +99,10 @@
 
 %:
 	set -e; \
-	unset with; \
-	for pkg in python2 python3 pypy; do \
-		if dpkg-query -W "$${pkg%2}-setuptools" > /dev/null 2>&1; then \
-			with="$$with,$$pkg"; \
-		fi; \
-	done; \
-	with="$${with:+--with $${with#,}}"; \
+	if dpkg-query -W python3-setuptools > /dev/null 2>&1; then \
+		with='--with python3'; \
+	else \
+		with=''; \
+	fi; \
 	echo "Running 'dh $@ $$with'"; \
 	dh $@ $$with
