=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
 Test-Command: adequate confget
 Depends: @, adequate
 Features: test-name=adequate
+Restrictions: superficial
 
 Test-Command: feature-check -O -qfeatures -P '' confget BASE
 Depends: @, feature-check
 Features: test-name=feature-check
+Restrictions: superficial
