## confget 2.3.3

=== debian/changelog ===
confget (2.3.3-1) unstable; urgency=medium

  * Temporarily disable the adequate test.
  * New upstream release:
    - refresh the python-no-executable patch
  * Simplify the rules file inspired by some suggestions from Niels Thykier:
    - use debian/clean to remove the Python directories
    - configure pybuild and pytest through the environment
    - separate the -arch and -indep builds
    - add the no-doc-build patch to simplify the build
  * Drop the no-dh-sequencer override, it was only there to silence
    a Lintian false positive that was fixed in Lintian 2.51.0.

 -- Peter Pentchev <roam@debian.org>  Tue, 07 Apr 2020 17:43:38 +0300

confget (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Depend on debhelper >> 12.8~ for execute_after.

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Apr 2020 12:10:20 +0300

confget (2.3.0-2) unstable; urgency=medium

  * Mark test-only build dependencies with <!nocheck>.
  * Declare compliance with Policy 4.5.0 with no changes.
  * Override the "no dh sequencer" Lintian info tag.
  * autopkgtest: supported, not installed, Python versions.
  * Add the year 2020 to my debian/* copyright notice.
  * Bump the debhelper compatibility level to 13:
    - reintroduce the debian/compat file while compat level 13 is
      still in beta
    - drop the conditional around the "auto_test" target - debhelper
      will not execute it at all unless it is needed
    - use "execute_after" for the "auto_clean" target
    - drop the "dh_missing" override; "--fail-missing" is the default now

 -- Peter Pentchev <roam@debian.org>  Fri, 20 Mar 2020 01:45:56 +0200
