=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>> 12.8~),
  dh-python,
  libpcre3-dev,
 Build-Depends-Indep:
+ dh-sequence-python3,
  python3-all,
- python3-ddt,
- python3-pytest,
- python3-six,
+ python3-ddt <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-six <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://devel.ringlet.net/textproc/confget/
 Vcs-Git: https://gitlab.com/confget/confget.git -b debian/master
 Vcs-Browser: https://gitlab.com/confget/confget/tree/debian/master
