## confget 2.3.4

=== Makefile ===
--- 
+++ 
@@ -86,7 +86,8 @@
 
 TESTEXEC=	test-getline test-fgetln
 
-all:		${PROG} ${MAN1GZ}
+all:		${PROG}
+		[ -n '${NO_DOC_BUILD}' ] || ${MAKE} ${MAN1GZ}
 
 clean:
 		${RM} ${PROG} ${OBJS} ${MAN1GZ}
@@ -102,7 +103,8 @@
 		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
 		mv ${MAN1GZ}.tmp ${MAN1GZ}
 
-install:	all install-bin install-man install-examples
+install:	all install-bin
+		[ -n '${NO_DOC_BUILD}' ] || ${MAKE} install-man install-examples
 
 install-bin:
 		-${MKDIR} ${DESTDIR}${BINDIR}
