=== debian/changelog ===
confget (2.3.4-1) unstable; urgency=medium

  * Go back to the B-D: debhelper-compat way now that dh 13 is out.
  * Correct the upstream copyright years (add the year 2020).
  * Drop the Name and Contact upstream metadata fields.
  * New upstream release:
    - refresh the python-no-executable patch
    - adapt the test target to the moved confget Python source

 -- Peter Pentchev <roam@debian.org>  Sat, 02 May 2020 22:30:35 +0300
