=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper (>> 12.8~),
+ debhelper-compat (= 13),
  dh-python,
  libpcre3-dev,
 Build-Depends-Indep:
