=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_auto_install --buildsystem pybuild
 
 override_dh_auto_test-indep:
-	env PYTHONPATH='${PY}' '$D/tests/tap-python.sh'
+	env PYTHONPATH='${PY}/src' '$D/tests/tap-python.sh'
 	dh_auto_test --buildsystem pybuild
 
 override_dh_installchangelogs:
